package com.xmomen.module.order.model;

import java.io.Serializable;
import java.math.BigDecimal;


public class OrderPurchaseModel implements Serializable {

    // 订单号
    private String orderNo;
    // 商品ID
    private Integer itemId;
    // 商品编码
    private String itemCode;
    // 商品单位
    private String itemUnit;
    // 商品总数量
    private BigDecimal totalItemQty;
    // 商品总重量
    private BigDecimal totalWeight;

    // 获取订单号
    public String getOrderNo() {
        return orderNo;
    }

    // 设置订单号
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    // 获取商品ID
    public Integer getItemId() {
        return itemId;
    }

    // 设置商品ID
    public void setItemId(Integer itemId) {
        this.itemId = itemId;
    }

    // 获取商品编码
    public String getItemCode() {
        return itemCode;
    }

    // 设置商品编码
    public void setItemCode(String itemCode) {
        this.itemCode = itemCode;
    }

    // 获取商品单位
    public String getItemUnit() {
        return itemUnit;
    }

    // 设置商品单位
    public void setItemUnit(String itemUnit) {
        this.itemUnit = itemUnit;
    }

    // 获取商品总数量
    public BigDecimal getTotalItemQty() {
        return totalItemQty;
    }

    // 设置商品总数量
    public void setTotalItemQty(BigDecimal totalItemQty) {
        this.totalItemQty = totalItemQty;
    }

    // 获取商品总重量
    public BigDecimal getTotalWeight() {
        return totalWeight;
    }

    // 设置商品总重量
    public void setTotalWeight(BigDecimal totalWeight) {
        this.totalWeight = totalWeight;
    }
}
